com.google.appengine.api.prospectivesearch

## Enum FieldType

- java.lang.Object
- - java.lang.Enum<FieldType>
  - - com.google.appengine.api.prospectivesearch.FieldType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FieldType>

  Deprecated.
  This API has been deprecated.

      @Deprecated
      public enum FieldType
      extends java.lang.Enum<FieldType>

  Type identifiers for describing document schemas.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` Deprecated.
    `DOUBLE` Deprecated.
    `INT32` Deprecated.
    `STRING` Deprecated.
    `TEXT` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldType` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static FieldType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final FieldType BOOLEAN

      Deprecated.

    - #### DOUBLE

          public static final FieldType DOUBLE

      Deprecated.

    - #### INT32

          public static final FieldType INT32

      Deprecated.

    - #### STRING

          public static final FieldType STRING

      Deprecated.

    - #### TEXT

          public static final FieldType TEXT

      Deprecated.

  - ### Method Detail

    - #### values

          public static FieldType[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType c : FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null